Page MenuHomePhabricator

[WMDE-Fundraising] Estimate effort: english donation pages and form
Closed, ResolvedPublic5 Story Points

Description

From https://github.com/wmde/fundraising/issues/545:

Please estimate the tasks and effort needed to provide a complete donation process in english (translations would be provided). All pages of spenden.wikimedia.de would need to be dublicated. Only the membership process shall not be provided in english which means that the english donation confirmation page would not contain the membership call to action and application form.

Event Timeline

Tobi_WMDE_SW raised the priority of this task from to Normal.
Tobi_WMDE_SW updated the task description. (Show Details)
Tobi_WMDE_SW added a project: TCB-Team.
Tobi_WMDE_SW raised the priority of this task from Normal to High.Jul 29 2015, 11:12 AM
Tobi_WMDE_SW set Security to None.
Tobi_WMDE_SW edited a custom field.
WMDE-leszek added a comment.EditedAug 17 2015, 1:05 PM

We have decided to use Extension:Translate to handle multilingual page templates.

Estimates (story points) of tasks recognized as parts of making donation pages multilingual have been gathered below:

  • Deleting outdated and unused templates: 3
  • Installing Extension:Translate: 2
  • Marking messages in existing content: 5
  • Change Extension:ContentStaging
    • Consider all translation subpages when staging content: 3
    • Check translation status of a page before staging and reject if there are untranslated messages: 5
  • Collecting hard-coded text: 8
  • adding translation mechanism for in-code text: 3
  • Replace all the hard coded text with the the internationalized text: 13
  • Adding a possibility to switch language version of the donation page: 5
  • changes in browser tests: 3
Tobi_WMDE_SW closed this task as Resolved.Oct 27 2015, 1:58 PM
Addshore moved this task from Incoming to Done on the TCB-Team board.Nov 27 2015, 10:29 AM